org.apache.fop.fonts.type1

## Class PFBParser

- java.lang.Object
- - org.apache.fop.fonts.type1.PFBParser

    public class PFBParser
    extends Object

This class represents a parser for Adobe Type 1 PFB files.

See Also:
  `PFBData`

### Constructor Summary

Constructors
Constructor and Description
`PFBParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PFBData` `parsePFB(InputStream in)` Parses a PFB file into a PFBData object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PFBParser

    public PFBParser()

### Method Detail

#### parsePFB

    public PFBData parsePFB(InputStream in)
                     throws IOException

Parses a PFB file into a PFBData object.

Parameters:
  `in` - InputStream to load the PFB file from
Returns:
  PFBData memory representation of the font
Throws:
  `IOException` - In case of an I/O problem